image: rvancea/maven-chrome-jdk8:latest

stages:
  - build
  - test
  - analyze
  - deploy
  

build:
  stage: build
  script:
    - mvn compile
  artifacts:
    paths:
    - build/libs/*.jar


test:
  stage: test
  script:
    - mvn clean test

analyze:sonar:
  stage: analyze
  image:
    name: sonarsource/sonar-scanner-cli:4.5
    entrypoint: [""]
  variables:
    # Defines the location of the analysis task cache
    SONAR_USER_HOME: "${CI_PROJECT_DIR}/.sonar"
    # Shallow cloning needs to be disabled.
    # See https://docs.sonarqube.org/latest/analysis/gitlab-cicd/.
    GIT_DEPTH: 0
  cache:
    key: "${CI_JOB_NAME}"
    paths:
      - .sonar/cache
  script:
    - sonar-scanner
  rules:
    # SonarQube CommunityEdition only supports analyzing a single branch.
    # So only run on master.
    - if: '$CI_COMMIT_BRANCH == "master"'
      when: on_success
    - when: never

deploy:
  stage: deploy
  script:
    - echo         